INST-TAX-FILTER(1)

NAME
inst-tax-filter.pl - Apply a taxonomic filter to a (UniProt) FASTA database (optimized)

VERSION
version 0.212670

USAGE
    inst-tax-filter.pl <infiles> --filter=<file> --taxdir=<dir>
        [optional arguments]

REQUIRED ARGUMENTS

<infiles>
    Path to input FASTA files [repeatable argument].

--filter=<file>
    Path to an IDL file specifying the taxonomic filter to be applied.

    In a tax_filter, wanted taxa are to be prefixed by a '+' symbol, whereas unwanted taxa are to be prefixed by a '-' symbol. Wanted and unwanted taxa are linked by logical ORs.

    An example IDL file follows:

        -Viridiplantae
        -Opisthokonta
        +Ascomycota
        +Oomycota

--taxdir=<dir>
    Path to local mirror of the NCBI Taxonomy database.

OPTIONAL ARGUMENTS

--id-regex=<str>
    Regular expression for capturing org from seq id [default: none].

    The argument value can be either a predefined regex or a custom regex given on the command line (do not forget to escape the special chars then). The following predefined regexes are available (assuming a leading '>'):

        - :UNI (UniProt OS= field)

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

CONTRIBUTOR
Valerian LUPO <valerian.lupo@doct.uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.